%define localstatedir   /var/lib

Name:           screem
Version:        0.13.0
Release:        1.fdr.2
Epoch:          0
Summary:        Web Site CReating and Editing EnvironMent
Group:          Applications/Publishing
License:        GPL
URL:            http://www.screem.org/
Source0:        ftp://ftp.sourceforge.net/pub/sourceforge/s/sc/screem/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires(post,postun): /sbin/ldconfig
Requires(post,preun): /sbin/install-info

Requires:	dbus			>= 0.22
Requires:	dbus-glib		>= 0.22
Requires:	GConf2			>= 2.2.0
Requires:	gtk2			>= 2.5.4
Requires:	gnome-vfs2		>= 2.8.0
Requires:	libbonobo		>= 2.2.0
Requires:	libbonoboui		>= 2.2.0
Requires:	libcroco		>= 0.6.0
Requires:	gtkhtml2		>= 2.2.0
Requires:	gtksourceview		>= 0.3.0
Requires:	libgnomeprint22		>= 2.2.0
Requires:	libgnomeprintui22	>= 2.2.0
Requires:	libxml2			>= 2.4.3
Requires:	libglade2		>= 2.3.0
Requires:	libgnome		>= 2.2.0
Requires:	libgnomeui		>= 2.6.0
Requires:	shared-mime-info	>= 0.14

BuildRequires:	dbus-devel		>= 0.22
BuildRequires:	GConf2-devel		>= 2.2.0
BuildRequires:	gtk2-devel		>= 2.5.4
BuildRequires:	gnome-vfs2-devel	>= 2.8.0
BuildRequires:	libbonobo-devel		>= 2.2.0
BuildRequires:	libbonoboui-devel	>= 2.2.0
BuildRequires:	libcroco-devel		>= 0.6.0
BuildRequires:	gtkhtml2-devel		>= 2.2.0
BuildRequires:	gtksourceview-devel	>= 0.3.0
BuildRequires:	libgnomeprint22-devel	>= 2.2.0
BuildRequires:	libgnomeprintui22-devel	>= 2.2.0
BuildRequires:	libxml2-devel		>= 2.4.3
BuildRequires:	libglade2-devel		>= 2.3.0
BuildRequires:	libgnome-devel		>= 2.2.0
BuildRequires:	libgnomeui-devel	>= 2.6.0
BuildRequires:	scrollkeeper
BuildRequires:	gettext


%description
SCREEM is an integrated development
environment for the creation and maintainance of websites and pages.

SCREEM [Site CReating and Editing EnvironMent] is a web site development
environment It's purpose is to increase productivity when constructing a
site, by providing quick access to commonly used features. While it is
written for use with the GNOME desktop environment in mind it does not
specifically require you to be running it, just have the libraries installed.

Unlike most other web site / HTML editors SCREEM does not provide a WYSIWYG
display of pages. Instead you are presented with the raw html source in its
editor window.

In general WYSIWYG editors do not produce good clean valid HTML, and can also
slow you down if they do not support an element that you wish to insert. By
utilising a text based editing system you can use the markup you want rather
than what the application thinks you need, and also provide quick access to
commonly used elements via toolbar buttons which insert the markup at the
current cursor position.


%prep
%setup -q


%build

%configure --disable-gtkhtml-help --disable-schemas-install --disable-update-mime --disable-update-desktop 
make %{?_smp_mflags}




%install
rm -rf $RPM_BUILD_ROOT
DESTDIR=$RPM_BUILD_ROOT${_prefix} make install
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'





%clean
rm -rf $RPM_BUILD_ROOT





%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/*.schemas > /dev/null
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir 2>/dev/null || :
if which scrollkeeper-update > /dev/null 2>&1; then scrollkeeper-update > /dev/null ; fi
if which update-mime-database > /dev/null 2>&1; then update-mime-database %{_datadir}/mime > /dev/null ; fi
if which update-desktop-database > /dev/null 2>&1; then update-desktop-database %{_datadir}/applications > /dev/null ; fi
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info \
    %{_infodir}/dir 2>/dev/null || :
fi


%postun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/*.schemas > /dev/null
if which scrollkeeper-update > /dev/null 2>&1; then scrollkeeper-update > /dev/null ; fi
if which update-mime-database > /dev/null 2>&1; then update-mime-database %{_datadir}/mime > /dev/null ; fi
if which update-desktop-database > /dev/null 2>&1; then update-desktop-database %{_datadir}/applications > /dev/null ; fi
//sbin/ldconfig



%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/%{name}
%{_datadir}/application-registry/%{name}.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime-info/%{name}.keys
%{_datadir}/mime
%{_datadir}/omf
%{_datadir}/pixmaps
%{_libdir}/%{name}
%{_sysconfdir}/gconf/schemas/%{name}.schemas


%changelog
* Mon Nov 15 2004 David A. Knight <david@screem.org> - 0:0.13.0-1.fdr.2
- incremented required gtk+ version

* Thu Nov 04 2004 David A. Knight <david@screem.org> - 0:0.13.0-1.fdr.2
- removed --with-included-neon and --with-libxml2 from configure as
  we no longer use libneon
- removed --enable-dbus from configure, it is the default behaviour

* Sun Oct 31 2004 David A. Knight <david@screem.org> - 0:0.13.0-1.fdr.2
- updated version number
- added libcroco dependancy

* Wed Oct 18 2004 David A. Knight <david@screem.org> - 0:0.11.7-1.fdr.2
- updated version number

* Sun Oct 10 2004 David A. Knight <david@screem.org> - 0:0.11.6-1.fdr.2
- post and postun operate on *.schemas rather than %{name}.schemas or
  the schema ends up getting removed on an upgrade

* Fri Oct 01 2004 David A. Knight <david@screem.org> - 0:0.11.6-1.fdr.2
- updated required gnome-vfs version

* Wed Sep 01 2004 David A. Knight <david@screem.org> - 0:0.11.6-1.fdr.2
- updated version number
- require dbus / dbus-glib

* Sat Aug 28 2004 David A. Knight <david@screem.org> - 0:0.11.5-1.fdr.2
- updated version number

* Sat Aug 14 2004 David A. Knight <david@screem.org> - 0:0.11.4-1.fdr.2
- updated version number

* Sun Aug 01 2004 David A. Knight <david@screem.org> - 0:0.11.3-1.fdr.2
- make use of --disable-update-desktop
- run update-desktop-database on install and postun if available

* Tue Jul 20 2004 David A. Knight <david@screem.org> - 0:0.11.3-1.fdr.2
- updated version number

* Wed Jun 30 2004 David A. Knight <david@screem.org> - 0:0.11.2-1.fdr.2
- remove --with-ssl from configure arguments.

* Mon Jun 28 2004 David A. Knight <david@screem.org> - 0:0.11.2-1.fdr.2
- changed Source0 to point to a valid location
- increased version number

* Wed Jun 09 2004 James T. Richardson, Jr. <teknofile@teknofile.net. - 0:0.11.1-1.fdr.1
- updated from cvs

* Fri Jun 04 2004 James T. Richardson, Jr. <teknofile@teknofile.net> - 0:0.11.1-0.fdr.3
- updated from cvs to include new automake/autoconf stuff

* Thu Jun 03 2004 James T. Richardson, Jr. <teknofile@teknofile.net> - 0:0.11.1-0.fdr.1
- Removed unneccesary comments
- Added schemas install/uninstall to post/postun
- Added --disable-update-mime to configure line 
- Call update-mime-database from the post and post-un script 

* Tue Jun 01 2004 James T. Richardson, Jr. <teknofile@teknofile.net> - 0:0.11.1-0.fdr.0
- lots of clean ups
- trying to follow the fedora.us template / guidelines as much as possible
	see:	http://www.fedora.us/docs/spec.html
		http://www.fedora.us/docs/rpm-packaging-guidelines.html

* Fri May 01 2004 James T. Richardson, Jr. <teknofile@teknofile.net> - 0:0.11.0-0.fdr.0
- Initial RPM release.

